Bug 851966 - [abrt] gjs-1.32.0-1.fc17: dlmmap_locked: Process /usr/bin/gjs-console was killed by signal 7 (SIGBUS)
[abrt] gjs-1.32.0-1.fc17: dlmmap_locked: Process /usr/bin/gjs-console was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:ac99e71c55e322fe0cfc8f64b73...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 03:17 EDT by aanon42
Modified: 2018-03-18 10:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.89 KB, text/plain)
2012-08-27 03:17 EDT, aanon42
no flags Details
File: maps (41.89 KB, text/plain)
2012-08-27 03:17 EDT, aanon42
no flags Details
File: dso_list (11.11 KB, text/plain)
2012-08-27 03:18 EDT, aanon42
no flags Details

  None (edit)
Description aanon42 2012-08-27 03:17:50 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const SearchProvider = imports.shellSearchProvider; SearchProvider.start();'
crash_function: dlmmap_locked
executable:     /usr/bin/gjs-console
kernel:         3.5.2-3.fc17.x86_64
pid:            1830
pwd:            /
remote_result:  815228
time:           Mon 27 Aug 2012 09:18:26 AM ICT
uid:            1000
username:       anon
xsession_errors: 

backtrace:      Text file, 44939 bytes
dso_list:       Text file, 11375 bytes
maps:           Text file, 42893 bytes

build_ids:
:b262a361763f91cca5e5826440bebaa4bc8cfebe
:4c9c864a7c7b7ed702088955821d58137803462d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:a6923dae74c6d816333bb75b529b39a7c19c70ea
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:6668de624a10d486a3484d5b4921f87b1e77d36c
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:8f7c190397d7c1f617e66f18f759714662b60367
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7f2766dbfa08fa29e36e1d1937a9722a51b25074
:d804f8ee47797da9213a92f00cd095ecada8d79f
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:8883675a02b466547a122a9117742c5771456644
:3eea2006c01962765387851188091331250d4e7e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:6086bff484a49cc8b80cb714d7e83a6391394800
:691a4486437315a889bfeb473018f05b1b76824a
:ec4ae4651095426c7506ed110ee89f437bce89e1
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:80d3d0106338bd76f3ff4eed36d44e934cafc3f4
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:929d271f51370434d6e9f63b74694fb424470462
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:faca16f15d87b83d2947a386e319b02f724dcbb5
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272
:4575ec01ed90ab3856f29eaf84d73f015b534b87
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631
:a1ba2bc316ac950764d3e8f371a959f2a9e26abf
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:ec2f7d8e0d41b9bf5a8906649a3e0262294892ce
:ebc779125d37b2b0595730b6d78d477fe7b6bc53
:ecad3f852f36e91716e85a1cfcc410e83db0976b
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:05ea316031451b0071f52c27699616457df1dbdf
:67792c148d2b8f13f6732c9367e926c26d7376c5
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:c6d63050de28819bfdd8fa80036dff1a36179b65
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:e0f3826dc19569cb1a7b836a3c3938ca8a060a17
:247132297f287226a24c12e683292f5c94013066
:2a7fcdc2e60548f67df3280017b846d9e054b9d4
:da0831cf9c551543fbc94e797a102a57a30e790f
:f534feded388130df4a9e789eec1e38c320bc55b
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:b277af36744327e3d58eae76bcdaadcca71a28c6
:42147224a191a382ea9902023e3816f4caed1ef0
:f4c064df8745dff15466d705fb049138f9a5c949
:5e2aa1c7d97cfbc9ae94ec85a2ea6738ce61cba0
:508cf66f72e70054a41215f80ed2385c6bb80030
:516204cfc31148538d56b21e2f1b945ed50127d4
:a553a7e9625a224a8f39286909adc17787ad51bd
:0008a6c4028b3826f8905324c770e7aa450e5d3b
:9e6594e38d36f94f5e02c90731970f1c72396147
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:bd70dd83191cfbfe3057eafe6e7282ed5af10af1
:95c60ac796337440a866a155abb7bdcce7b71c4f
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:54a5cc118d928470da13565de8592b664a9868e0
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:726a299098b7695fc69d788f6b19468810c1ba6e
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/anon/2

core_backtrace:
:7c35310fc506498c612d5d982ab03becc4b4817c 0x290d - libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x2a64 - libffi.so.5 -
:7c35310fc506498c612d5d982ab03becc4b4817c 0x352c ffi_closure_alloc libffi.so.5 -
:8883675a02b466547a122a9117742c5771456644 0x106b4 g_callable_info_prepare_closure libgirepository-1.0.so.1 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x229a0 gjs_callback_trampoline_new libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x238c6 - libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x243d3 - libgjs.so.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd781e - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xc1840 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7632 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd7c64 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d2fe JS_CallFunctionValue libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x1650c gjs_call_function_value libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x213ef gjs_closure_invoke libgjs.so.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x2ce69 - libgjs.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xd1ee6 - libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xba535 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:95c60ac796337440a866a155abb7bdcce7b71c4f 0x1b19 - mainloop.so -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xcb946 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd56bf - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0xd63a3 - libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4d96f JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:cf1bb78fe29e55a36a922c712f5a2404ec8e3272 0x4dc62 JS_EvaluateUCScript libmozjs185.so.1.0 -
:23808f7ef4ed4cf97f9dc55d7f690e71bf589631 0x12da7 gjs_context_eval libgjs.so.0 -
:7f2766dbfa08fa29e36e1d1937a9722a51b25074 0xf2e main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-b9nU9GUTJ4,guid=54651c8d0b80880b4595fce600000067
:GPG_AGENT_INFO=/run/user/anon/keyring-97O5Wv/gpg:0:1
:SHELL=/bin/bash
:GNOME_KEYRING_CONTROL=/run/user/anon/keyring-97O5Wv
:USER=anon
:LD_LIBRARY_PATH=/usr/lib64/gnome-documents
:SSH_AUTH_SOCK=/run/user/anon/keyring-97O5Wv/ssh
:GJS_PATH=/usr/share/gnome-documents/js
:USERNAME=anon
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/911,unix/unix:/tmp/.ICE-unix/911
:PATH=/usr/local/bin:/usr/bin:/bin
:DESKTOP_SESSION=gnome
:PWD=/
:LANG=en_US.utf8
:GNOME_KEYRING_PID=905
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:DBUS_STARTER_BUS_TYPE=session
:HOME=/home/anon
:SHLVL=2
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=anon
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-b9nU9GUTJ4,guid=54651c8d0b80880b4595fce600000067
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib64/gnome-documents/girepository-1.0
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/anon
:XAUTHORITY=/var/run/gdm/auth-for-anon-UGJTbe/database
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 14156                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       14156                14156                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:socket:[59369]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[60016]
:pos:	0
:flags:	02004002
:9:socket:[60019]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/anon/.cache/tracker/meta.db
:pos:	1165312
:flags:	02100000
:12:/home/anon/.cache/tracker/meta.db-wal
:pos:	622544
:flags:	02100002
:13:/home/anon/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:14:anon_inode:inotify
:pos:	0
:flags:	02004000
:15:/tmp/ffia3dc1c (deleted)
:pos:	0
:flags:	0100002

var_log_messages:
:Aug 27 09:18:28 localhost abrt[1835]: Saved core dump of pid 1830 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-08-27-09:18:25-1830 (45740032 bytes)
:Aug 27 09:18:36 localhost abrt[1858]: Not dumping repeating crash in '/usr/bin/gjs-console'
Comment 1 aanon42 2012-08-27 03:17:55 EDT
Created attachment 607145 [details]
File: backtrace
Comment 2 aanon42 2012-08-27 03:17:59 EDT
Created attachment 607146 [details]
File: maps
Comment 3 aanon42 2012-08-27 03:18:01 EDT
Created attachment 607147 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-04 00:16:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:03:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Anthony Green 2018-03-18 10:07:59 EDT
For what it's worth, I believe this was a bug in libffi that was just fixed upstream with this: https://github.com/libffi/libffi/commit/d46406088d28b038a0a0f7396d9621f431482f6a

Note You need to log in before you can comment on or make changes to this bug.